POST api/NTCosCompany/PostCorporationCauseOfIncident

Request Information

URI Parameters

None.

Body Parameters

Collection of CorporationCauseOfIncidentDTO
NameDescriptionTypeAdditional information
CorporationCauseOfIncidentId

integer

None.

CorporationCode

string

String length: inclusive between 0 and 20

CorporationValidFlag

boolean

None.

Type

integer

None.

Id

integer

None.

Name

string

String length: inclusive between 0 and 50

NeedMoreInfo

boolean

None.

Sequence

integer

None.

NCCICode

string

String length: inclusive between 0 and 50

Standard

boolean

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

CompanyCode

string

String length: inclusive between 0 and 10

IsExcludeDiscount

boolean

None.

Request Formats

application/json, text/json

Sample:
[
  {
    "CorporationCauseOfIncidentId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Name": "sample string 6",
    "NeedMoreInfo": true,
    "Sequence": 8,
    "NCCICode": "sample string 9",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:57:23.4341693-07:00",
    "DateUpdated": "2026-06-20T12:57:23.4341693-07:00",
    "UserIDCreated": 14,
    "UserIDUpdated": 15,
    "CompanyCode": "sample string 16",
    "IsExcludeDiscount": true
  },
  {
    "CorporationCauseOfIncidentId": 1,
    "CorporationCode": "sample string 2",
    "CorporationValidFlag": true,
    "Type": 4,
    "Id": 5,
    "Name": "sample string 6",
    "NeedMoreInfo": true,
    "Sequence": 8,
    "NCCICode": "sample string 9",
    "Standard": true,
    "ValidFlag": true,
    "DateCreated": "2026-06-20T12:57:23.4341693-07:00",
    "DateUpdated": "2026-06-20T12:57:23.4341693-07:00",
    "UserIDCreated": 14,
    "UserIDUpdated": 15,
    "CompanyCode": "sample string 16",
    "IsExcludeDiscount": true
  }
]

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfListOfCorporationCauseOfIncidentDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CorporationCauseOfIncidentDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "CorporationCauseOfIncidentId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Name": "sample string 6",
      "NeedMoreInfo": true,
      "Sequence": 8,
      "NCCICode": "sample string 9",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:57:23.4341693-07:00",
      "DateUpdated": "2026-06-20T12:57:23.4341693-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15,
      "CompanyCode": "sample string 16",
      "IsExcludeDiscount": true
    },
    {
      "CorporationCauseOfIncidentId": 1,
      "CorporationCode": "sample string 2",
      "CorporationValidFlag": true,
      "Type": 4,
      "Id": 5,
      "Name": "sample string 6",
      "NeedMoreInfo": true,
      "Sequence": 8,
      "NCCICode": "sample string 9",
      "Standard": true,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T12:57:23.4341693-07:00",
      "DateUpdated": "2026-06-20T12:57:23.4341693-07:00",
      "UserIDCreated": 14,
      "UserIDUpdated": 15,
      "CompanyCode": "sample string 16",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}